%define fw_version 5.43

Summary:	KDE Frameworks 5 holidays module
Name:		kholidays
Version:	5.43.0
Release:	1
Epoch:		1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Test)

%description
KDE Frameworks 5 holidays module.

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE Frameworks 5 holidays library translations
Group:		System/Internationalization
Conflicts:	kde5-l10n < 17.04
BuildArch:	noarch

%description i18n
KDE Frameworks 5 holidays library translations.

%files i18n -f libkholidays5.lang

#----------------------------------------------------------------------------

%define qmlkf5holidays %mklibname kf5holidays-qml

%package -n %{qmlkf5holidays}
Summary:	QML plugin for KDE Frameworks 5 holidays
Group:		System/Libraries
Provides:	kf5holidays-qml = %{EVRD}

%description -n %{qmlkf5holidays}
QML plugin for KDE Frameworks 5 holidays.

%files -n %{qmlkf5holidays}
%dir %{_kde5_qmldir}/org/kde/kholidays/
%{_kde5_qmldir}/org/kde/kholidays/*

#----------------------------------------------------------------------------

%define kf5holidays_major 5
%define libkf5holidays %mklibname kf5holidays %{kf5holidays_major}

%package -n %{libkf5holidays}
Summary:	KDE Frameworks 5 holidays shared library
Group:		System/Libraries
Requires:	%{name}-i18n
Requires:	kf5holidays-qml
Obsoletes:	%{name} < 1:5.43

%description -n %{libkf5holidays}
KDE Frameworks 5 holidays shared library.

%files -n %{libkf5holidays}
%{_kde5_libdir}/libKF5Holidays.so.%{kf5holidays_major}*

#----------------------------------------------------------------------------

%define devkf5holidays %mklibname kf5holidays -d

%package -n %{devkf5holidays}
Summary:	Development files for KDE Frameworks 5 holidays module
Group:		Development/KDE and Qt
Requires:	%{libkf5holidays} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5holidays-devel = %{version}

%description -n %{devkf5holidays}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5holidays}
%{_kde5_includedir}/KF5/KHolidays
%{_kde5_includedir}/KF5/kholidays_version.h
%{_kde5_libdir}/cmake/KF5Holidays
%{_kde5_libdir}/libKF5Holidays.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang libkholidays5 --with-qt

%changelog

* Mon Feb 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:5.43.0-1
- (5fe5cb3) New version 5.43.0
- (5fe5cb3) Now it's a part of KDE Frameworks
- (5fe5cb3) Drop main package, files are merged into shared library as Qt resources


